Bug 126761 - Configure fails with error /usr/local/bin/ld: unrecognized option '--as-needed'
Configure fails with error /usr/local/bin/ld: unrecognized option '--as-needed'
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-25 20:09 EDT by Zach Maillard
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-26 02:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zach Maillard 2004-06-25 20:09:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 
7.23  [en]

Description of problem:
Upgraded from FC 1 to FC 2.  Tried to compile two programs that have 
compiled on FC 1 (Grass GIS 5.7 and SynCE 0.8).  Both fail with 
message: C compiler cannot create executables.  Upon examination of 
config.log, both programs list the following: /usr/local/bin/ld: 
unrecognized option '--as-needed'






Version-Release number of selected component (if applicable):
2.15.90.0.3-5

How reproducible:
Always

Steps to Reproduce:
1.Type ./configure (options as needed) in source directory 

Additional info:

Configure Results:
checking for gcc... gcc
checking whether the C compiler (gcc  ) works... no
configure: error: installation or configuration problem: C compiler 

config.log:
configure:829: checking whether the C compiler (gcc  ) works
configure:845: gcc -o conftest    conftest.c  1>&5
/usr/local/bin/ld: unrecognized option '--as-needed'
/usr/local/bin/ld: use the --help option for usage information
collect2: ld returned 1 exit status
configure: failed program was:

#line 840 "configure"
#include "confdefs.h"

main(){return(0);}
Comment 1 Jakub Jelinek 2004-06-26 02:50:17 EDT
Move away /usr/local/bin/ld.  It is not part of the distribution and
GCC relies on various binutils features that are Required by the
gcc rpms.  /usr/bin/ld should be used.
Alternatively, if you really for some weird reason must use a custom
ld, you must take care of rebuilding it so that it will support all
the required features.

Note You need to log in before you can comment on or make changes to this bug.